cascading.flow.planner.iso.finder

## Enum SearchOrder

- java.lang.Object
- - java.lang.Enum<SearchOrder>
  - - cascading.flow.planner.iso.finder.SearchOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SearchOrder>

      public enum SearchOrder
      extends java.lang.Enum<SearchOrder>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Breadth`
    `Depth`
    `ReverseBreadth`
    `ReverseDepth`
    `ReverseTopological`
    `Topological`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <Node,Graph extends org.jgrapht.DirectedGraph> java.util.Iterator<Node>` | `getNodeIterator(SearchOrder searchOrder, Graph graph)`
    `boolean` | `isReversed()`
    `static SearchOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SearchOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Depth

          public static final SearchOrder Depth

    - #### Breadth

          public static final SearchOrder Breadth

    - #### Topological

          public static final SearchOrder Topological

    - #### ReverseDepth

          public static final SearchOrder ReverseDepth

    - #### ReverseBreadth

          public static final SearchOrder ReverseBreadth

    - #### ReverseTopological

          public static final SearchOrder ReverseTopological

  - ### Method Detail

    - #### values

          public static SearchOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchOrder c : SearchOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isReversed

          public boolean isReversed()

    - #### getNodeIterator

          public static <Node,Graph extends org.jgrapht.DirectedGraph> java.util.Iterator<Node> getNodeIterator(SearchOrder searchOrder,
                                                                                                Graph graph)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.